part of xwidgetbase;

class XCheckBoxWidget extends StatelessWidget {
  late final String labelCheckBox;
  final Color? colorTitle;
  late final bool valueCheckBox;
  final Function(bool?)? onChangedCheckBox;
  late final bool verticalCheckBoxWidget;
  final Function()? onTap;
  final TextStyle? styleLabel;
  final Color? checkColor;
  final bool? labelOnBottom;
  XCheckBoxWidget({
    this.labelCheckBox = "",
    this.colorTitle,
    this.styleLabel,
    this.checkColor,
    this.valueCheckBox = false,
    this.onChangedCheckBox,
    this.verticalCheckBoxWidget = false,
    this.onTap,
    this.labelOnBottom = false,
  });

  @override
  Widget build(BuildContext context) {
    return Container(
      child: verticalCheckBoxWidget == false
          ? Row(mainAxisAlignment: MainAxisAlignment.center, children: [
              GestureDetector(onTap: onTap, child: Text(labelCheckBox, textAlign: TextAlign.center, style: styleLabel ?? TextStyle(color: colorTitle ?? XColors.foregroundLight))),
              Container(width: 30, height: 30, child: Checkbox(fillColor: MaterialStateProperty.all(XColors.foregroundLight), value: valueCheckBox, checkColor: checkColor ?? XColors.backgroundDark, onChanged: onChangedCheckBox)),
            ])
          : Column(
              children: [
                labelOnBottom == false
                    ? Row(children: [
                        GestureDetector(onTap: onTap, child: Text(labelCheckBox, textAlign: TextAlign.center, style: styleLabel ?? TextStyle(color: colorTitle ?? XColors.foregroundLight))),
                      ])
                    : Container(height: 1),
                Row(
                  mainAxisAlignment: MainAxisAlignment.center,
                  children: [
                    Container(
                        width: 30,
                        height: 30,
                        child: Checkbox(
                          value: valueCheckBox,
                          onChanged: onChangedCheckBox,
                        ))
                  ],
                ),
                labelOnBottom == true
                    ? Row(mainAxisAlignment: MainAxisAlignment.center, children: [
                        GestureDetector(onTap: onTap, child: Text(labelCheckBox, textAlign: TextAlign.center, style: styleLabel ?? TextStyle(color: colorTitle ?? XColors.foregroundLight))),
                      ])
                    : Container(height: 1),
              ],
            ),
    );
  }
}
