part of xwidgetbase;

class XStatefulWidgetBase extends StatefulWidget {
  XStatefulWidgetBase({Key? key}) : super(key: key);
  @override
  _XStatefulWidgetBase createState() => _XStatefulWidgetBase();

  static LoaderIndicator(bool isLoading) {
    return isLoading
        ? Center(
            child: SizedBox(
              child: CircularProgressIndicator(strokeWidth: 8),
              height: 150.0,
              width: 150.0,
            ),
          )
        : SizedBox(width: 3, height: 3);
  }
}

class _XStatefulWidgetBase extends State<XStatefulWidgetBase> {
  @override
  Widget build(BuildContext context) {
    return Container();
  }
}
